package com.example.springdemo.service;

import com.example.springdemo.entities.Dishes;
import com.example.springdemo.entities.Merchants;
import com.example.springdemo.entities.password.MerchantsPassword;

import java.util.List;
import java.util.Optional;

public interface MerchantsService {
    // CRUD operations for Merchants entity
    Merchants addMerchant(Merchants merchant, MerchantsPassword merchantPassword);

    void deleteMerchantById(Long merchantId);

    Merchants updateMerchant(Merchants merchant);

    List<Merchants> findAllMerchants();

    Optional<Merchants> findById(Long merchantId);

    Optional<Merchants> findByName(String name);

    int updateMerchantPasswordById(String password, Long merchantId);

    // CRUD operations for MerchantsDishes entity
    Dishes addDish(Dishes dish, Long merchantId);
}
