package com.example.springdemo.service;

import com.example.springdemo.entities.RBAC.Permissions;

import java.util.List;
import java.util.Optional;

public interface PermissionsService {

    Permissions addPermission(Permissions permission);

    Permissions updatePermission(Permissions permission);

    void deletePermissionById(Long permissionId);

    Optional<Permissions> findById(Long permissionId);

    List<Permissions> findAllPermissions();

    List<Permissions> findPermissionsByRoleId(Long roleId);
}
