package com.example.springdemo.service;

import com.example.springdemo.entities.Users;
import com.example.springdemo.entities.password.UsersPassword;
import org.springframework.security.core.userdetails.UserDetailsService;

import java.util.List;
import java.util.Optional;

public interface UsersService extends UserDetailsService {

    Users addUser(Users user, UsersPassword userPassword);

    void deleteUserById(Long userId);

    void deleteUserByName(String name);

    Users updateUser(Users user);

    List<Users> findAllUsers();

    Optional<Users> findById(Long userId);

    Optional<Users> findByName(String name);

    int updateUserPasswordById(String password, Long userId);
}
