package com.example.springdemo.dao;

import com.example.springdemo.entities.Users;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface UsersRepository
        extends JpaRepository<Users, Long> {
    Optional<Users> findByName(String name);

    void deleteByName(String name);
}
