package com.example.springdemo.service;

import com.example.springdemo.entities.RBAC.RolesPermissions;

import java.util.List;
import java.util.Optional;

public interface RolesPermissionsService {
    RolesPermissions AssignPermissionsToRole(RolesPermissions rolesPermissions);

    int RemovePermissionsFromRole(Long roleId, Long permissionId);

    int updateRolePermissions(Long roleId, Long permissionId);

    Optional<RolesPermissions> findById(Long rolesPermissionsId);

    List<RolesPermissions> findAllRolesPermissions();

    Boolean CheckIfDeleteOrUpdateAdmin(Long roleId);
}
