package com.example.springdemo.service;

import com.example.springdemo.entities.RBAC.Roles;
import com.example.springdemo.entities.Users;

import java.util.List;
import java.util.Optional;

public interface RolesService {
    Roles createRole(Roles role);

    Roles updateRole(Roles role);

    void deleteRoleById(Long roleId);

    List<Roles> findAllRoles();

    Optional<Roles> findByName(String name);

    Optional<Roles> findById(Long roleId);

    //Users角色管理
    public void RemoveRoleFromUser(Long userId, Long roleId);

    public Users AssignRoleToUser(Long userId, Long roleId);

    public List<Optional<Roles>> getUserRoleById(Long userId);
}
