package com.example.springdemo.serviceImpl;

import com.example.springdemo.dao.OrdersRepository;
import com.example.springdemo.entities.Orders;
import com.example.springdemo.service.OrdersService;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class OrdersServiceImpl implements OrdersService {
    @Resource
    private OrdersRepository ordersRepository;

    @Override
    public Orders addOrder(Orders orders) {
        return ordersRepository.save(orders);
    }

    @Override
    public void deleteOrderById(Long orderId) {
        ordersRepository.deleteById(orderId);
    }

    @Override
    public Orders updateOrder(Orders orders) {
        return ordersRepository.save(orders);
    }

    @Override
    public List<Orders> findAllOrders() {
        return ordersRepository.findAll();
    }

    @Override
    public List<Orders> findOrdersByUserId(Long userId) {
        return null;
    }
}
